import { NgModule } from "@angular/core";
import { IonicModule } from "ionic-angular";
import { SideMenu } from "./side-menu/side-menu";
import { MENU_MODULE_CONFIG } from "./module.config.json";
import { CommonModule } from "@angular/common";
import { BrowserModule } from "@angular/platform-browser";
import { DynamicComponentModule } from "ionic-dynamic-component";
import { FooterMenu } from "./footer/footer-menu";
import { MenuFooterItemComponent } from "./components/menu-footer-item/menu-footer-item";
import { MenuBurgerItemComponent } from "./components/menu-burger-item/menu-burger-item";
// third-party module
var MenuModule = /** @class */ (function () {
    function MenuModule() {
    }
    MenuModule.forRoot = function (config) {
        return {
            ngModule: MenuModule,
            providers: [{ provide: MENU_MODULE_CONFIG, useValue: config }]
        };
    };
    MenuModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        SideMenu,
                        FooterMenu,
                        MenuFooterItemComponent,
                        MenuBurgerItemComponent
                    ],
                    imports: [
                        BrowserModule,
                        IonicModule,
                        CommonModule,
                        DynamicComponentModule
                    ],
                    entryComponents: [
                        MenuBurgerItemComponent,
                        MenuFooterItemComponent
                    ],
                    exports: [
                        SideMenu,
                        FooterMenu,
                        MenuFooterItemComponent,
                        MenuBurgerItemComponent
                    ]
                },] },
    ];
    return MenuModule;
}());
export { MenuModule };
//# sourceMappingURL=menu.module.js.map